Bug 1456278 - can't install fontconfig via rpm-ostree package layering
Summary: can't install fontconfig via rpm-ostree package layering
Keywords:
Status: CLOSED DUPLICATE of bug 1377367
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm-ostree
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1352154
TreeView+ depends on / blocked
 
Reported: 2017-05-28 16:44 UTC by Dusty Mabe
Modified: 2017-05-29 15:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-29 14:00:01 UTC


Attachments (Terms of Use)

Description Dusty Mabe 2017-05-28 16:44:19 UTC
```
[vagrant@vanilla-f25atomic ~]$ sudo rpm-ostree install vagrant-libvirt 
Checking out tree 718bca9... done

Downloading metadata: [===========================================================================================================================================================] 100%
Resolving dependencies... done
Will download: 176 packages (60.4 MB)

  Downloading from updates: [=====================================================================================================================================================] 100%

  Downloading from fedora: [======================================================================================================================================================] 100%

Importing: [======================================================================================================================================================================] 100%
Overlaying... done
error: Running %post for fontconfig: Executing bwrap(/usr/fontconfig.post): Child process exited with code 2
[vagrant@vanilla-f25atomic ~]$ 
[vagrant@vanilla-f25atomic ~]$ rpm -q rpm-ostree 
rpm-ostree-2017.5-2.fc25.x86_64
[vagrant@vanilla-f25atomic ~]$ 
[vagrant@vanilla-f25atomic ~]$ rpm-ostree status
State: idle
Deployments:
● fedora-atomic:fedora-atomic/25/x86_64/updates/docker-host
             Version: 25.132 (2017-05-28 04:32:41)
              Commit: 718bca92ee5aaa50bf802219840bbb739572274035669044ccfc8d3fce8ac671

  fedora-atomic:fedora-atomic/25/x86_64/docker-host
             Version: 25.127 (2017-05-19 21:57:03)
              Commit: cdd359911de49f3a8199ffd41a9894019562001d6cf9be66e1894c31b6fa1c66
```

Comment 1 Dusty Mabe 2017-05-28 16:48:58 UTC
looking at the logs a little closer, this is actually the fontconfig rpm that is failing:

```
[vagrant@vanilla-f25atomic ~]$ rpm-ostree status
State: idle
Deployments:
● fedora-atomic:fedora-atomic/25/x86_64/docker-host
             Version: 25.127 (2017-05-19 21:57:03)
              Commit: cdd359911de49f3a8199ffd41a9894019562001d6cf9be66e1894c31b6fa1c66
[vagrant@vanilla-f25atomic ~]$ sudo rpm-ostree install fontconfig 
Checking out tree cdd3599... done

Downloading metadata: [===========================================================================================================================================================] 100%
Resolving dependencies... done
Will download: 3 packages (419.6 kB)

  Downloading from fedora: [======================================================================================================================================================] 100%

Importing: [======================================================================================================================================================================] 100%
Overlaying... done
error: Running %post for fontconfig: Executing bwrap(/usr/fontconfig.post): Child process exited with code 2

```

will update title accordingly

Comment 2 Jonathan Lebon 2017-05-29 14:00:01 UTC
This should be fixed in F26. See https://bugzilla.redhat.com/show_bug.cgi?id=1377367 and https://fedoraproject.org/wiki/Changes/FontconfigCacheDirChange. AFAIK, there are no plans to get this changed in F25.

*** This bug has been marked as a duplicate of bug 1377367 ***

Comment 3 Dusty Mabe 2017-05-29 15:06:18 UTC
Thanks jlebon.

confirmed working on f26:

```
Transaction complete; bootconfig swap: yes deployment count change: 1
Added:
  aajohan-comfortaa-fonts-2.004-7.fc26.noarch
  fontconfig-2.12.1-4.fc26.x86_64
  fontpackages-filesystem-1.44-18.fc26.noarch
Run "systemctl reboot" to start a reboot
[vagrant@vanilla-f26atomic ~]$ 
[vagrant@vanilla-f26atomic ~]$ rpm-ostree status
State: idle
Deployments:
  fedora-atomic:fedora/26/x86_64/atomic-host
             Version: 26.44 (2017-05-23 14:53:16)
          BaseCommit: 31c829adb284a91c3b85945e9265d43ef703d0ece23a107d29492394c90b6489
     LayeredPackages: fontconfig

● fedora-atomic:fedora/26/x86_64/atomic-host
             Version: 26.44 (2017-05-23 14:53:16)
              Commit: 31c829adb284a91c3b85945e9265d43ef703d0ece23a107d29492394c90b6489
```


Note You need to log in before you can comment on or make changes to this bug.